trader_sar
trader_set_compat
Trader Functions
PHP Manual

# trader_sarext

Parabolic SAR - Extended

### Description

array trader_sarext ( array `$high` , array `$low` [, float `$startValue` [, float `$offsetOnReverse` [, float `$accelerationInitLong` [, float `$accelerationLong` [, float `$accelerationMaxLong` [, float `$accelerationInitShort` [, float `$accelerationShort` [, float `$accelerationMaxShort` ]]]]]]]] )

### Parameters

`high`

  High price, array of real values.

`low`

  Low price, array of real values.

`startValue`

  Start value and direction. 0 for Auto, >0 for Long, <0 for Short. Valid range from TRADER_REAL_MIN to TRADER_REAL_MAX.

`offsetOnReverse`

  Percent offset added/removed to initial stop on short/long reversal. Valid range from 0 to TRADER_REAL_MAX.

`accelerationInitLong`

  Acceleration Factor initial value for the Long direction. Valid range from 0 to TRADER_REAL_MAX.

`accelerationLong`

  Acceleration Factor for the Long direction. Valid range from 0 to TRADER_REAL_MAX.

`accelerationMaxLong`

  Acceleration Factor maximum value for the Long direction. Valid range from 0 to TRADER_REAL_MAX.

`accelerationInitShort`

  Acceleration Factor initial value for the Short direction. Valid range from 0 to TRADER_REAL_MAX.

`accelerationShort`

  Acceleration Factor for the Short direction. Valid range from 0 to TRADER_REAL_MAX.

`accelerationMaxShort`

  Acceleration Factor maximum value for the Short direction. Valid range from 0 to TRADER_REAL_MAX.

### Return Values

Returns an array with calculated data or false on failure.